Get a Settlement
curl --request GET \
--url https://api.flutterwave.com/v3/settlements/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.flutterwave.com/v3/settlements/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.flutterwave.com/v3/settlements/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Settlement fetched",
"data": {
"id": 41497,
"account_id": 73362,
"merchant_name": "Earth Gang",
"merchant_email": "selma.m0ckaham@flutterwavego.com",
"settlement_account": "0031318432",
"bank_code": "063",
"transaction_date": "2019-12-30T04:00:00.000Z",
"due_date": "2019-12-30T04:00:00.000Z",
"processed_date": null,
"status": "completed",
"is_local": 1,
"currency": "NGN",
"gross_amount": 50800,
"app_fee": 950,
"merchant_fee": 0,
"chargeback": 0,
"refund": 0,
"stampduty_charge": 0,
"net_amount": 49850,
"transaction_count": 5,
"processor_ref": null,
"disburse_ref": "RV3E18675549F6A0",
"disburse_message": null,
"channel": "web",
"destination": "autowallet",
"fx_data": null,
"flag_message": null,
"meta": "[906256,906358,906301,906362,906319]",
"refund_meta": null,
"chargeback_meta": null,
"source_bankcode": null,
"created_at": "2019-12-31T01:30:00.000Z",
"transactions": [
{
"customer_email": "h0vkard@flw.ext",
"flw_ref": "FLW-MOCK-RECURR-42b3daee9f470127dacd19560533f3a6",
"tx_ref": "Rave-Pages017117571060",
"id": 984411,
"charged_amount": 10140,
"app_fee": 190,
"merchant_fee": 0,
"stampduty_charge": 0,
"settlement_amount": 9950,
"status": "successful",
"payment_entity": "card",
"transaction_date": "2019-12-30",
"currency": "NGN",
"card_locale": "LOCAL",
"rrn": "N/A",
"subaccount_settlement": 0
},
{
"customer_email": "h0vkard@flw.ext",
"flw_ref": "FLW-MOCK-RECURR-c536481525f02f76409892f517a16300",
"tx_ref": "Rave-Pages017117571060",
"id": 984456,
"charged_amount": 10140,
"app_fee": 190,
"merchant_fee": 0,
"stampduty_charge": 0,
"settlement_amount": 9950,
"status": "successful",
"payment_entity": "card",
"transaction_date": "2019-12-30",
"currency": "NGN",
"card_locale": "LOCAL",
"rrn": "N/A",
"subaccount_settlement": 0
},
{
"customer_email": "h0vkard@flw.ext",
"flw_ref": "FLW-MOCK-RECURR-d22d0ec0955047e9648bec46da40c987",
"tx_ref": "Rave-Pages017117571060",
"id": 984474,
"charged_amount": 10190,
"app_fee": 190,
"merchant_fee": 0,
"stampduty_charge": 0,
"settlement_amount": 10000,
"status": "successful",
"payment_entity": "card",
"transaction_date": "2019-12-30",
"currency": "NGN",
"card_locale": "LOCAL",
"rrn": "N/A",
"subaccount_settlement": 0
},
{
"customer_email": "h0vkard@flw.ext",
"flw_ref": "FLW-MOCK-RECURR-e55f863f14a95816e0939e7c4625ee43",
"tx_ref": "Rave-Pages017117571060",
"id": 984513,
"charged_amount": 10190,
"app_fee": 190,
"merchant_fee": 0,
"stampduty_charge": 0,
"settlement_amount": 10000,
"status": "successful",
"payment_entity": "card",
"transaction_date": "2019-12-30",
"currency": "NGN",
"card_locale": "LOCAL",
"rrn": "N/A",
"subaccount_settlement": 0
},
{
"customer_email": "h0vkard@flw.ext",
"flw_ref": "FLW-MOCK-RECURR-6100e5300876cef2270b2e31bc9cc16e",
"tx_ref": "Rave-Pages017117571060",
"id": 984517,
"charged_amount": 10140,
"app_fee": 190,
"merchant_fee": 0,
"stampduty_charge": 0,
"settlement_amount": 9950,
"status": "successful",
"payment_entity": "card",
"transaction_date": "2019-12-30",
"currency": "NGN",
"card_locale": "LOCAL",
"rrn": "N/A",
"subaccount_settlement": 0
}
]
}
}{
"status": "error",
"message": "No settlement record found",
"data": null
}Settlements
Retrieve a settlement
Retrieve a settlement
GET
/
settlements
/
{id}
Get a Settlement
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
OK
Show child attributes
Show child attributes
Example:
{
"id": 41497,
"account_id": 73362,
"merchant_name": "Earth Gang",
"merchant_email": "selma.m0ckaham@flutterwavego.com",
"settlement_account": "0031318432",
"bank_code": "063",
"transaction_date": "2019-12-30T04:00:00.000Z",
"due_date": "2019-12-30T04:00:00.000Z",
"processed_date": null,
"status": "completed",
"is_local": 1,
"currency": "NGN",
"gross_amount": 50800,
"app_fee": 950,
"merchant_fee": 0,
"chargeback": 0,
"refund": 0,
"stampduty_charge": 0,
"net_amount": 49850,
"transaction_count": 5,
"processor_ref": null,
"disburse_ref": "RV3E18675549F6A0",
"disburse_message": null,
"channel": "web",
"destination": "autowallet",
"fx_data": null,
"flag_message": null,
"meta": "[906256,906358,906301,906362,906319]",
"refund_meta": null,
"chargeback_meta": null,
"source_bankcode": null,
"created_at": "2019-12-31T01:30:00.000Z",
"transactions": [
{
"customer_email": "h0vkard@flw.ext",
"flw_ref": "FLW-MOCK-RECURR-42b3daee9f470127dacd19560533f3a6",
"tx_ref": "Rave-Pages017117571060",
"id": 984411,
"charged_amount": 10140,
"app_fee": 190,
"merchant_fee": 0,
"stampduty_charge": 0,
"settlement_amount": 9950,
"status": "successful",
"payment_entity": "card",
"transaction_date": "2019-12-30",
"currency": "NGN",
"card_locale": "LOCAL",
"rrn": "N/A",
"subaccount_settlement": 0
},
{
"customer_email": "h0vkard@flw.ext",
"flw_ref": "FLW-MOCK-RECURR-c536481525f02f76409892f517a16300",
"tx_ref": "Rave-Pages017117571060",
"id": 984456,
"charged_amount": 10140,
"app_fee": 190,
"merchant_fee": 0,
"stampduty_charge": 0,
"settlement_amount": 9950,
"status": "successful",
"payment_entity": "card",
"transaction_date": "2019-12-30",
"currency": "NGN",
"card_locale": "LOCAL",
"rrn": "N/A",
"subaccount_settlement": 0
},
{
"customer_email": "h0vkard@flw.ext",
"flw_ref": "FLW-MOCK-RECURR-d22d0ec0955047e9648bec46da40c987",
"tx_ref": "Rave-Pages017117571060",
"id": 984474,
"charged_amount": 10190,
"app_fee": 190,
"merchant_fee": 0,
"stampduty_charge": 0,
"settlement_amount": 10000,
"status": "successful",
"payment_entity": "card",
"transaction_date": "2019-12-30",
"currency": "NGN",
"card_locale": "LOCAL",
"rrn": "N/A",
"subaccount_settlement": 0
},
{
"customer_email": "h0vkard@flw.ext",
"flw_ref": "FLW-MOCK-RECURR-e55f863f14a95816e0939e7c4625ee43",
"tx_ref": "Rave-Pages017117571060",
"id": 984513,
"charged_amount": 10190,
"app_fee": 190,
"merchant_fee": 0,
"stampduty_charge": 0,
"settlement_amount": 10000,
"status": "successful",
"payment_entity": "card",
"transaction_date": "2019-12-30",
"currency": "NGN",
"card_locale": "LOCAL",
"rrn": "N/A",
"subaccount_settlement": 0
},
{
"customer_email": "h0vkard@flw.ext",
"flw_ref": "FLW-MOCK-RECURR-6100e5300876cef2270b2e31bc9cc16e",
"tx_ref": "Rave-Pages017117571060",
"id": 984517,
"charged_amount": 10140,
"app_fee": 190,
"merchant_fee": 0,
"stampduty_charge": 0,
"settlement_amount": 9950,
"status": "successful",
"payment_entity": "card",
"transaction_date": "2019-12-30",
"currency": "NGN",
"card_locale": "LOCAL",
"rrn": "N/A",
"subaccount_settlement": 0
}
]
}
Was this page helpful?
⌘I